# Uses of Interface
org.opensaml.saml.saml2.metadata.OrganizationDisplayName

Packages that use OrganizationDisplayName
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of OrganizationDisplayName in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type OrganizationDisplayName
Modifier and Type
Method
Description
`List<OrganizationDisplayName>`
Organization.`getDisplayNames()`
Gets a list of display names for this organization.

## Uses of OrganizationDisplayName in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement OrganizationDisplayName
Modifier and Type
Class
Description
`class`
`OrganizationDisplayNameImpl`
Concrete implementation of `OrganizationDisplayName`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type OrganizationDisplayName
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<OrganizationDisplayName>`
OrganizationImpl.`displayNames`
OrganizationDisplayName children.
Methods in org.opensaml.saml.saml2.metadata.impl that return OrganizationDisplayName
Modifier and Type
Method
Description
`OrganizationDisplayName`
OrganizationDisplayNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`OrganizationDisplayName`
OrganizationDisplayNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type OrganizationDisplayName
Modifier and Type
Method
Description
`List<OrganizationDisplayName>`
OrganizationImpl.`getDisplayNames()`
Gets a list of display names for this organization.